Package com.databricks.jdbc.model.client.thrift.generated

## Class TFetchResultsResp

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TFetchResultsResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TFetchResultsResp>`, `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2025-05-08")
    public class TFetchResultsResp
    extends Object
    implements org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>, Serializable, Cloneable, Comparable<TFetchResultsResp>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TFetchResultsResp._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `hasMoreRows`
`static Map<TFetchResultsResp._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TRowSet` `results`
`TGetResultSetMetadataResp` `resultSetMetadata`
`TStatus` `status`

### Constructor Summary

Constructors
`TFetchResultsResp()`
`TFetchResultsResp​(TFetchResultsResp other)` Performs a deep copy on other.
`TFetchResultsResp​(TStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TFetchResultsResp other)`
`TFetchResultsResp` `deepCopy()`
`boolean` `equals​(TFetchResultsResp that)`
`boolean` `equals​(Object that)`
`TFetchResultsResp._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TFetchResultsResp._Fields field)`
`TRowSet` `getResults()`
`TGetResultSetMetadataResp` `getResultSetMetadata()`
`TStatus` `getStatus()`
`int` `hashCode()`
`boolean` `isHasMoreRows()`
`boolean` `isSet​(TFetchResultsResp._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHasMoreRows()` Returns true if field hasMoreRows is set (has been assigned a value) and false otherwise
`boolean` `isSetResults()` Returns true if field results is set (has been assigned a value) and false otherwise
`boolean` `isSetResultSetMetadata()` Returns true if field resultSetMetadata is set (has been assigned a value) and false otherwise
`boolean` `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TFetchResultsResp._Fields field, Object value)`
`TFetchResultsResp` `setHasMoreRows​(boolean hasMoreRows)`
`void` `setHasMoreRowsIsSet​(boolean value)`
`TFetchResultsResp` `setResults​(TRowSet results)`
`TFetchResultsResp` `setResultSetMetadata​(TGetResultSetMetadataResp resultSetMetadata)`
`void` `setResultSetMetadataIsSet​(boolean value)`
`void` `setResultsIsSet​(boolean value)`
`TFetchResultsResp` `setStatus​(TStatus status)`
`void` `setStatusIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHasMoreRows()`
`void` `unsetResults()`
`void` `unsetResultSetMetadata()`
`void` `unsetStatus()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public TStatus status

#### hasMoreRows

    public boolean hasMoreRows

#### results

    public TRowSet results

#### resultSetMetadata

    public TGetResultSetMetadataResp resultSetMetadata

#### metaDataMap

    public static final Map<TFetchResultsResp._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TFetchResultsResp

    public TFetchResultsResp()

#### TFetchResultsResp

    public TFetchResultsResp​(TStatus status)

#### TFetchResultsResp

    public TFetchResultsResp​(TFetchResultsResp other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TFetchResultsResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### getStatus

    public TStatus getStatus()

#### setStatus

    public TFetchResultsResp setStatus​(TStatus status)

#### unsetStatus

    public void unsetStatus()

#### isSetStatus

    public boolean isSetStatus()

Returns true if field status is set (has been assigned a value) and false otherwise

#### setStatusIsSet

    public void setStatusIsSet​(boolean value)

#### isHasMoreRows

    public boolean isHasMoreRows()

#### setHasMoreRows

    public TFetchResultsResp setHasMoreRows​(boolean hasMoreRows)

#### unsetHasMoreRows

    public void unsetHasMoreRows()

#### isSetHasMoreRows

    public boolean isSetHasMoreRows()

Returns true if field hasMoreRows is set (has been assigned a value) and false otherwise

#### setHasMoreRowsIsSet

    public void setHasMoreRowsIsSet​(boolean value)

#### getResults

    public TRowSet getResults()

#### setResults

    public TFetchResultsResp setResults​(TRowSet results)

#### unsetResults

    public void unsetResults()

#### isSetResults

    public boolean isSetResults()

Returns true if field results is set (has been assigned a value) and false otherwise

#### setResultsIsSet

    public void setResultsIsSet​(boolean value)

#### getResultSetMetadata

    public TGetResultSetMetadataResp getResultSetMetadata()

#### setResultSetMetadata

    public TFetchResultsResp setResultSetMetadata​(TGetResultSetMetadataResp resultSetMetadata)

#### unsetResultSetMetadata

    public void unsetResultSetMetadata()

#### isSetResultSetMetadata

    public boolean isSetResultSetMetadata()

Returns true if field resultSetMetadata is set (has been assigned a value) and false otherwise

#### setResultSetMetadataIsSet

    public void setResultSetMetadataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TFetchResultsResp._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### getFieldValue

    public Object getFieldValue​(TFetchResultsResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### isSet

    public boolean isSet​(TFetchResultsResp._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TFetchResultsResp that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TFetchResultsResp other)

Specified by:
  `compareTo` in interface `Comparable<TFetchResultsResp>`

#### fieldForId

    public TFetchResultsResp._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TFetchResultsResp,​TFetchResultsResp._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`